﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGGroupByCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();            
        }

        int count = 0;
        void GRP_Loaded(object sender, RoutedEventArgs e)
        {
            GroupByRecordPresenter grp = sender as GroupByRecordPresenter;
            GroupByRecord record = grp.Record as GroupByRecord;
            record.Description = "Custom Description " + count.ToString();
            count++;
        }

        void GRP_Loaded2(object sender, RoutedEventArgs e)
        {
            GroupByRecordPresenter grp = sender as GroupByRecordPresenter;
            GroupByRecord record = grp.Record as GroupByRecord;

            var x = record.Description.Split(' ');

            if (x[0].Equals("1"))
            {
                record.Description = "January " + x[1] + " " + x[2];
            }

            else if (x[0].Equals("11"))
            {
                record.Description = "November " + x[1] + " " + x[2];
            }

            else if (x[0].Equals("12"))
            {
                record.Description = "December " + x[1] + " " + x[2];
            }
        }
    }
}
