﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGGroupByCase
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < 90; i++)
            {
                Data.Add(new SampleData()
                {
                    Date = DateTime.Today.AddDays(i),
                    ID = i+1,
                    Label = "Label " + i.ToString()
                });
            }
        }
    }

    public class SampleData
    {
        public DateTime Date { get; set; }
        public int ID { get; set; }
        public string Label { get; set; }
        
    }
}
