﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGGroupByCase
{
    public class CustomGroupByComparer : IComparer
    {
        public int Compare(object x, object y)
        {
            Cell xCell = x as Cell;
            Cell yCell = y as Cell;

            int xMonth = ((DateTime)xCell.Value).Month;
            int yMonth = ((DateTime)yCell.Value).Month;

            return ((new CaseInsensitiveComparer()).Compare(yMonth, xMonth));            
        }
    }
}
